import KeyProps from "./KeyProps";
import { PublicKey as HPublicKey } from "@hiero-ledger/sdk";
import BaseError from "../../../core/error/BaseError";
export default class PublicKey implements KeyProps {
    static readonly NULL: PublicKey;
    readonly key: string;
    readonly type: string;
    constructor(params: Partial<KeyProps> | string);
    private getTypeFromLength;
    private formatKey;
    static fromHederaKey(key: HPublicKey): PublicKey;
    static isNull(val?: {
        key: string;
        type: string;
    }): boolean;
    toHederaKey(): HPublicKey;
    toString(): string;
    static validate(val?: string | object): BaseError[];
}
